Loading...
Searching...
No Matches
Dune::Functions::DefaultDerivativeTraits< Signature > Struct Template Reference
Functions » Function related utilities

Default implementation for derivative traits. More...

`#include <dune/functions/common/defaultderivativetraits.hh>`

Inheritance diagram for Dune::Functions::DefaultDerivativeTraits< Signature >:

## Public Types

typedef InvalidRange | Range
| Range of derivative for function with given signature.

## Detailed Description

template<class Signature>
struct Dune::Functions::DefaultDerivativeTraits< Signature >

Default implementation for derivative traits.

This class provides sensible defaults for the range of derivatives of functions with some common `Domain` and `Range` types.

## Member Typedef Documentation

## Range

template<class Signature>

typedef InvalidRange Dune::Functions::DefaultDerivativeTraits< Signature >::Range

Range of derivative for function with given signature.

The documentation for this struct was generated from the following file:

- defaultderivativetraits.hh